Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.blogspot.applications4android.comicreader
Class ComicStripViewer

    java.lang.Object
      Activity
          com.blogspot.applications4android.comicreader.core.ComicActivity
              com.blogspot.applications4android.comicreader.ComicStripViewer

    public class ComicStripViewer

extends ComicActivity

Activity which is responsible for displaying a comic-series. This also provides the UI for 'navigating' in this comic-series.

Field Summary

Fields inherited from class com.blogspot.applications4android.comicreader.core.ComicActivity
`mColor1, mColor2`

Constructor Summary
`ComicStripViewer()`

Method Summary
`void` | `cacheCleaner(int type)` Updater to clear the cache
`void` | `displayStrip(int comic_type)` Update the view in the given activity with the comic type
`Comic` | `getComic()` Returns the comic series being displayed right now
`LinearLayout` | `getControlsLayout()` Returns the layout containing the controls for strip navigation
`Strip` | `getStripFromUrl(java.lang.String url)` Get the strip from the given url
`boolean` | `isCurrentFavorite()` Tells whether the cucrent comic-strip being displayed is favorite or not
`void` | `onCreate(Bundle savedInstanceState)`
`boolean` | `onCreateOptionsMenu(Menu menu)`
`boolean` | `onOptionsItemSelected(MenuItem item)`
`protected void` | `onPause()` Called when the activity is finished.
`void` | `onResume()` Called when the activity is first created.
`void` | `selectAndDisplayStrip(java.lang.String comic_url)` Update the view in the given activity with the comic selected by the user
`void` | `setupNextComic()` Set the next comic in the list
`void` | `setupPreviousComic()` Set the previous comic in the list
`void` | `updateBitmap()` This updates the view with the current comic-strip

Methods inherited from class com.blogspot.applications4android.comicreader.core.ComicActivity
`displayHtml, ExitActivity, hideResetButton, setupComicsList, showResetButton, storeComicClassList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComicStripViewer

    public ComicStripViewer()

Method Detail

### onCreate

    public void onCreate(Bundle savedInstanceState)

### onResume

    public void onResume()

  Description copied from class: `ComicActivity`
  Called when the activity is first created.

  Overrides:
    `onResume` in class `ComicActivity`

### onPause

    protected void onPause()

  Description copied from class: `ComicActivity`
  Called when the activity is finished.

  Overrides:
    `onPause` in class `ComicActivity`

### getComic

    public Comic getComic()

  Returns the comic series being displayed right now

  Returns:
    comic series

### getControlsLayout

    public LinearLayout getControlsLayout()

  Returns the layout containing the controls for strip navigation

  Returns:
    layout

### isCurrentFavorite

    public boolean isCurrentFavorite()

  Tells whether the cucrent comic-strip being displayed is favorite or not

  Returns:
    true if it is

### setupNextComic

    public void setupNextComic()
                        throws java.io.IOException,
                               ComicNotFoundException,
                               JSONException,
                               ComicSDCardFull

  Set the next comic in the list

  Throws:
    `java.io.IOException`
    `ComicNotFoundException`
    `JSONException`
    `ComicSDCardFull`

### setupPreviousComic

    public void setupPreviousComic()
                            throws ComicNotFoundException,
                                   java.io.IOException,
                                   JSONException,
                                   ComicSDCardFull

  Set the previous comic in the list

  Throws:
    `ComicNotFoundException`
    `java.io.IOException`
    `JSONException`
    `ComicSDCardFull`

### updateBitmap

    public void updateBitmap()
                      throws java.io.FileNotFoundException,
                             BitMapException

  This updates the view with the current comic-strip

  Throws:
    `BitMapException`
    `java.io.FileNotFoundException`

### onCreateOptionsMenu

    public boolean onCreateOptionsMenu(Menu menu)

### onOptionsItemSelected

    public boolean onOptionsItemSelected(MenuItem item)

### cacheCleaner

    public void cacheCleaner(int type)

  Updater to clear the cache

  Parameters:
    `type` - whether to update the strip (pass a value <0 to not update)

### displayStrip

    public void displayStrip(int comic_type)

  Update the view in the given activity with the comic type

  Parameters:
    `comic_type` - type of comic to be fetched.

### selectAndDisplayStrip

    public void selectAndDisplayStrip(java.lang.String comic_url)

  Update the view in the given activity with the comic selected by the user

  Parameters:
    `comic_url` - comic url to be displayed

### getStripFromUrl

    public Strip getStripFromUrl(java.lang.String url)
                          throws ClientProtocolException,
                                 java.net.URISyntaxException,
                                 java.io.IOException,
                                 ComicSDCardFull

  Get the strip from the given url

  Parameters:
    `url` - url
  Returns:
    the strip
  Throws:
    `ClientProtocolException`
    `java.net.URISyntaxException`
    `java.io.IOException`
    `ComicSDCardFull`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD